package com.testor.module.contractor.manage.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.testor.common.model.UpdateProcessStatusReq;
import com.testor.module.contractor.manage.model.domain.TContractorSafetyBrief;
import com.testor.module.contractor.manage.model.dto.ContractorSafetyBriefContentDto;
import com.testor.module.contractor.manage.model.dto.ContractorSafetyBriefDto;
import com.testor.module.contractor.manage.model.dto.TContractorSafetyBriefDetailParam;
import com.testor.module.contractor.manage.model.dto.TContractorSafetyBriefParam;
import com.tongtech.tfw.backend.common.models.supers.SuperService;

/**
 * 承包商管理-安全交底Service接口
 * 
 * @author testor-framework
 * @date 2024-11-28 11:51:46
 */
public interface TContractorSafetyBriefService extends SuperService<TContractorSafetyBrief> {

    Page<ContractorSafetyBriefDto> pageList(TContractorSafetyBriefParam param);

    ContractorSafetyBriefDto getEntityById(String id);

    TContractorSafetyBrief addEntity(TContractorSafetyBriefParam addRequest);

    boolean updateEntity(TContractorSafetyBriefParam updateRequest);

    void updateProcessStatus(UpdateProcessStatusReq updateProcessStatusReq) throws Exception;

    void startProcess(TContractorSafetyBriefParam updateRequest);
    void completeProcess(TContractorSafetyBriefParam updateRequest);

    ContractorSafetyBriefContentDto getSafetyBriefContent(TContractorSafetyBriefDetailParam param);
}
